Page MenuHomePhabricator

Archive cdh puppet submodule
Closed, ResolvedPublic

Description

  • Remove Jenkins pipeline from zuul/layout.yaml file in integration/config.git.
  • Empty repository, leaving only a note in the README file. - https://gerrit.wikimedia.org/r/#/c/operations/puppet/cdh/+/518972/
  • Archive any documentation page on mediawiki.org.
  • Archive any Phabricator project for the extension.
  • Edit any Phabricator project description, and add link to this ticket.
  • Mark the repository read-only in Gerrit, and prefix description with [ARCHIVED] .
  • Archive the repo mirror in Phabricator Diffusion.
  • Archive the repo mirror on GitHub.com.

Details

Related Gerrit Patches:
operations/puppet/cdh : masterreadme: Add link to new location
integration/config : masterArchive the cdh/cdh4 puppet submodule

Event Timeline

elukey created this task.Jun 25 2019, 7:58 AM
elukey updated the task description. (Show Details)
elukey updated the task description. (Show Details)

Change 518913 had a related patch set uploaded (by Elukey; owner: Elukey):
[integration/config@master] Archive the cdh puppet submodule

https://gerrit.wikimedia.org/r/518913

Change 518913 merged by jenkins-bot:
[integration/config@master] Archive the cdh/cdh4 puppet submodule

https://gerrit.wikimedia.org/r/518913

Mentioned in SAL (#wikimedia-releng) [2019-06-25T11:42:14Z] <hashar> Deleting Jenkins jobs puppet-cdh-rake-docker and puppet-cdh4-rake-docker # T226474

hashar updated the task description. (Show Details)Jun 25 2019, 11:44 AM
elukey updated the task description. (Show Details)Jun 25 2019, 11:49 AM

Why do we want to delete everything? Can't we just leave it up with a note in the README me that active development has moved into ops/puppet?

Why do we want to delete everything? Can't we just leave it up with a note in the README me that active development has moved into ops/puppet?

From what I know this is the procedure, I followed the same thing the last time for the other modules when I merged them. History is still available, so if somebody wants the code it is easy to get the last commit state or check operations/puppet..

I guess, just kind of a shame since now google will stop indexing and returning it in search results. It'd be nice if people could actually find it.

elukey added a subscriber: Krinkle.Jun 25 2019, 1:37 PM

I don't find the documentation that states the procedure in the description, the last time @Krinkle showed it to me, maybe there are some caveats to get around it.

Indexing will be done in the operations/puppet repo though, that will be the most up to date version of the module no?

Yeah, but it will be lost to non WMFers, since it is buried deep in a huge
repo. Oh well I guess :(

fdans triaged this task as Medium priority.Jul 1 2019, 3:46 PM
fdans moved this task from Incoming to Operational Excellence on the Analytics board.
fdans added a project: Analytics-Kanban.

Change 520254 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/puppet/cdh@master] readme: Add link to new location

https://gerrit.wikimedia.org/r/520254

Change 520254 merged by Krinkle:
[operations/puppet/cdh@master] readme: Add link to new location

https://gerrit.wikimedia.org/r/520254

On the GitHub mirror, I've closed outstanding pull requests on the mirror, and set the the "Archived" (read-only) flag on. This means it is still searchable and indexed, but no new pulls can be opened, and no new commits can be mirrored.

Krinkle updated the task description. (Show Details)Jul 2 2019, 3:24 PM
elukey added a subscriber: hashar.Jul 3 2019, 6:27 AM

@hashar should I deactivate the repo in diffusion? O do anything else?

hashar added a comment.Jul 3 2019, 7:02 AM

Yes archive it in Diffusion and we will also just delete the Github mirror.

Just a note, it is possible to merge the repository into operations/puppet.git while keeping the full history. Though it is probably too late now, the process would look like:

Prepare the repo to be merged by moving all files:

git clone operations/puppet/cdh /tmp/cdh
mkdir -p modules/cdh
git mv * modules/cdh
git commit -a -m 'Move everything to prepare for repo merge'

Then on the destination repo fetch the above:

cd projects/operations/puppet
git remote add tobemerged/tmp/cdh
git fetch tobemerged
// verify head of the fetched repository match commit from above:
git log --oneline FETCH_HEAD
// """Move everything to prepare for repo merge"""

And do the merge

mkdir -p modules/cdh
git merge FETCH_HEAD

Exact commands to be determined, but I have done that several time on multiple repositories. Maybe that can help if need be.

elukey added a comment.Jul 3 2019, 7:04 AM

Yes archive it in Diffusion and we will also just delete the Github mirror.

IIUC Timo suggested to leave the github mirror there as archived, but I don't have any strong opinion on this. Will try to archive it in Diffusion then :)

Yes, I mostly changed our practice of deleting mirrors to archiving them (which means it's fully ready-only, including no pull requests or other sources of notifications, and shows a nice banner on top at GitHub). This way doesn't break urls or discovery paths that people might have placed in blogs, code comments, toots, books, etc.

When we first started this, GitHub didn't have an archival feature.

elukey closed this task as Resolved.Aug 9 2019, 3:49 PM